petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetDM

Gets the DM that may be used by some preconditioners

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetDM(KSP ksp,DM *dm)

Not Collective Many br

### Input Parameter

ksp -the preconditioner context Many br

### Output Parameter

dm -the dm Many br

Many br

### See Also

KSPSetDM(), KSPSetDMActive()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/ksp/ksp/examples/tutorials/ex22f.F.html
src/ksp/ksp/examples/tutorials/ex45f.F.html